GETTID(3PVM)

NAME
pvm_gettid - Returns the tid of the process identified by a group name and instance number.

SYNOPSIS
C	int tid = pvm_gettid( char *group, int inum )
Fortran	call pvmfgettid( group, inum, tid )

PARAMETERS

group
    Character string that contains the name of an existing group.

inum
    Integer instance number of the process in the group.

tid Integer task identifier returned.

DESCRIPTION
The routine pvm_gettid returns the tid of the PVM process identified by the group name group and the instance number inum. If pvm_gettid is successful, tid will be > 0. If some error occurs then tid will be < 0.

EXAMPLES
C:
	  tid = pvm_gettid("worker",0);

Fortran:
	   CALL PVMFGETTID('worker',5,TID)

ERRORS
These error conditions can be returned by pvm_gettid.

PvmSysErr
    Can not contact the local pvmd; most likely it is not running.

PvmBadParam
    Bad Parameter most likely a NULL character string.

PvmNoGroup
    No group exists by that name.

PvmNoInst
    No such instance in the group.

SEE ALSO
pvm_joingroup(3PVM), pvm_getinst(3PVM)